
TextCritical.net - Bug #459

Feature # 403 (Closed): Perseus Book Importer

Some works get imported with empty verses

11/21/2012 08:03 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Library and Epitome by Apollodorus has empty verses.

History

#1 - 11/21/2012 04:40 PM - Luke Murphey

- Subject changed from Empty verse to Some works get imported with empty verses

#2 - 11/22/2012 07:32 AM - Luke Murphey

This work actually does have verses. The chapter descriptors are referring to the wrong chapters though since multiple seem to match the

descriptors.

This work has tree levels: book, chapters, sections. The chapters are marked as readable units for some reason event though they have no content

and no verses. Not sure how these are getting marked as readable units.

#3 - 11/22/2012 07:42 AM - Luke Murphey

The issue is with the fact that it has chapters marked as readable units that have no verses.

#4 - 11/22/2012 07:52 AM - Luke Murphey

This work has a number of text nodes. Each is an entirely separate section of text.

<text lang="greek">

    <group>

<text n="Library">

    <body>

        <div1 type="book" n="1">

<milestone n="1" unit="chapter"/><milestone n="1" unit="section"/><milestone n="1" unit="volume"/><pb n="2"/><

p>*ou)rano\s prw=tos tou= panto\s e)duna/steuse ko/smou. gh/mas de\ *gh=n e)te/knwse prw/tous tou\s e(kato/gxe

iras prosagoreuqe/ntas, *bria/rewn *gu/hn<!--<NOTE ED="Frazer">1</NOTE>--> *ko/tton, oi(\ mege/qei te a)nupe/r

blhtoi kai\ duna/mei kaqeisth/kesan, xei=ras me\n a)na\ e(kato\n kefala\s de\ a)na\ penth/konta e)/xontes.

<milestone n="2" unit="section"/>

#5 - 11/22/2012 09:20 AM - Luke Murphey
- % Done changed from 0 to 10

#6 - 11/23/2012 09:55 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 10 to 80

#7 - 11/23/2012 06:25 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
